curl --request POST \
--url {schemes}://api.upsun.com/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"country": "<string>",
"security_contact": "jsmith@example.com"
}
'import requests
url = "{schemes}://api.upsun.com/organizations"
payload = {
"label": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"country": "<string>",
"security_contact": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
country: '<string>',
security_contact: 'jsmith@example.com'
})
};
fetch('{schemes}://api.upsun.com/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "fixed",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"name": "<string>",
"label": "<string>",
"country": "<string>",
"capabilities": [
"<string>"
],
"vendor": "<string>",
"billing_profile_id": "<string>",
"billing_legacy": true,
"security_contact": "jsmith@example.com",
"ai_agent_settings": {
"can_enable": true,
"performance_agent_enabled": true,
"log_analyzer_agent_enabled": true
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
},
"members": {
"href": "<string>"
},
"create-member": {
"href": "<string>",
"method": "<string>"
},
"address": {
"href": "<string>"
},
"profile": {
"href": "<string>"
},
"account": {
"href": "<string>"
},
"payment-source": {
"href": "<string>"
},
"orders": {
"href": "<string>"
},
"vouchers": {
"href": "<string>"
},
"discounts": {
"href": "<string>"
},
"apply-voucher": {
"href": "<string>",
"method": "<string>"
},
"subscriptions": {
"href": "<string>"
},
"create-subscription": {
"href": "<string>",
"method": "<string>"
},
"estimate-subscription": {
"href": "<string>"
},
"prepayment": {
"href": "<string>"
},
"billing-profile": {
"href": "<string>"
},
"mfa-enforcement": {
"href": "<string>"
},
"sso": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Create organization
Creates a new organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The human-readable label of the organization.
The type of the organization.
fixed, flexible ID of the owner.
A unique machine name representing the organization.
The organization country (2-letter country code).
2The security contact email address for the organization.
Response
Created
The ID of the organization.
The type of the organization.
fixed, flexible The ID of the owner.
The namespace in which the organization name is unique.
A unique machine name representing the organization.
The human-readable label of the organization.
The organization country (2-letter country code).
2The organization capabilities.
The vendor.
The Billing Profile ID.
Whether the account is billed with the legacy system.
The security contact email address for the organization.
AI agent consent settings for the organization.
Show child attributes
Show child attributes
The status of the organization.
active, restricted, suspended, deleted The date and time when the organization was created.
The date and time when the organization was last updated.
Show child attributes
Show child attributes
Was this page helpful?